 echo off
cls


if "%1"=="" goto help
if "%1"=="help" goto help
if "%1"=="HELP" goto help
if "%1"=="/?" goto help
if "%1"=="?" goto help

if "%2"=="" goto help

If not exist %2\nul goto pathhelp
if exist %2\actwin2.exe goto install
If not exist %2\actwin2.exe goto checkaau

:install
if "%1"=="LATINAM"      goto LAAM
if "%1"=="latinam"      goto LAAM
if "%1"=="Latinam"      goto LAAM
if "%1"=="EURO"         goto ROPA
if "%1"=="euro"         goto ROPA
if "%1"=="Euro"         goto ROPA
if "%1"=="UK"           goto BRIT
if "%1"=="Uk"           goto BRIT
if "%1"=="uk"           goto BRIT
if "%1"=="AUST"         goto MATE
if "%1"=="Aust"         goto MATE
if "%1"=="aust"         goto MATE
goto instfail

cls
:LAAM
Echo Updating ACT! Latin American Version...
Echo Please wait
	patch  /s /i %2 latinam.rtp
Echo Updating ACT!...
	patch  /s /i %2 common.rtp
	cls
	if not exist %2\docs\wplink.wp6 goto instfail 
goto aauinst

:ROPA
Echo Updating ACT! European Version...
Echo Please wait
	patch  /s /i %2 euro.rtp
Echo Updating ACT!...
	patch  /s /i %2 common.rtp
	cls
	if not exist %2\docs\wplink.wp6 goto instfail 
goto aauinst

:BRIT
Echo Updating ACT! United Kingdom Version...
Echo Please wait
	patch  /s /i %2 uk.rtp
Echo Updating ACT!...
	patch  /s /i %2 common.rtp
	cls
	if not exist %2\docs\wplink.wp6 goto instfail 
goto aauinst

:MATE
Echo Updating ACT! Australian/NZ Version...
Echo Please wait
	patch  /s /i %2 aust.rtp
Echo Updating ACT!...
	patch  /s /i %2 common.rtp
	cls
	if not exist %2\docs\wplink.wp6 goto instfail 
goto aauinst

:checkaau
if not exist %2\aau.exe goto wrongdir
if exist %2\aau.exe goto install

:aauinst
Echo Updating ACT!...
Echo Please wait
if not exist %2\aau.exe goto noaau
patch  /s /i %2 aau.rtp
goto thanks

:help
echo ACT! for Windows 2.0.1 Update - International Version
echo 
echo **STOP!**
echo 
echo * Make sure ACT! is NOT running before installing the update
echo   or the update will NOT work.
echo * If you are running ACT! on the network, it is suggested
echo   that you install the update during scheduled network downtime.
echo 
echo To install the update:
echo   1. Go to the DOS prompt
echo   2. Change your drive to the location where the update patch files are located:
echo      (C:\patch, c:\, etc...)3. Type the following and press the enter key:
echo 
echo      INSTALL [version] [target drive\directory]
echo 
echo [version]= AUST, EURO, LATINAM, UK
echo   If you are not sure what country version to install, check the readme.txt file 
echo [target drive\directory]= The location of the ACTWIN2.EXE on your drive.
echo   The most likely location is c:\actwin2.
echo 
echo For example: INSTALL EURO C:\ACTWIN2
echo 

goto end

:pathhelp
echo The target directory you specified - %2 - does not exist.
echo Check your path and install again.
echo 
goto end

:wrongdir
if exist %2\actwin.exe goto oldver

echo ACT! for Windows 2.0.1 Update - International Version
echo 
echo ACTWIN2.EXE does not exist in this location: %2
echo Check your path and try again.
echo 
goto end

:oldver
echo ACT! for Windows 2.0.1 Update - International Version
echo 
echo This update will only work on ACT! 2.0.
echo You can purchase ACT! 2.0 from your local reseller or from Symantec.
echo 
goto end
 
:thanks
if not exist %2\aau.exe goto noaau
if not exist %2\actwin2.exe goto noexe
cls
echo 
echo Your update is complete.
echo 
Echo Thank you for choosing ACT!
echo 
goto end

:noexe
cls
echo The update program has only updated the AAU.exe in the directory %2.
echo 
echo Reinstall the update to the directory where your ACTWIN2.exe is located
echo to ensure a complete update of ACT!. 
echo 
Echo Thank you for choosing ACT!
echo 
goto end

:noaau
cls
echo The update program did not find the AAU.exe in the directory %2.
echo 
echo If you have the AAU.exe in another location or install it
echo at a later date, you will then need to update the AAU.exe. 
echo 
echo Your update is complete.
echo 
Echo Thank you for choosing ACT!
echo 
goto end

:instfail
cls
echo The attempt to update ACT! did not work. 
echo Please consult the install syntax and try again.
echo 
goto end

:end



